%global srcname releases

Name:       python-%{srcname}
Version:    1.6.0
Release:    1%{?dist}
Summary:    A Sphinx extension for changelog manipulation
Group:      Development/Libraries

License:    BSD
URL:        https://github.com/bitprophet/%{srcname}
Source0:    %pypi_source

# Support Sphinx 1.7 https://github.com/bitprophet/releases/pull/
Patch0:     sphinx17.patch

BuildArch:  noarch

%global sphinx_cap 1:1.8

# Python 2
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-sphinx < %{sphinx_cap}
BuildRequires:  python2-semantic_version
BuildRequires:  python2-six
BuildRequires:  python2-mock

# Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx < %{sphinx_cap}
BuildRequires:  python3-semantic_version
BuildRequires:  python3-six
BuildRequires:  python3-mock


%description
Releases is a Sphinx extension designed to help you keep a source control
friendly, merge friendly changelog file & turn it into useful, human readable
HTML output.

Specifically:

* The source format (kept in your Sphinx tree as changelog.rst) is a stream-like
timeline that plays well with source control & only requires one entry per
change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
command) is a traditional looking changelog page with a section for every
release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
releases, and bugs are only displayed under bugfix releases. This can be
overridden on a per-issue basis.


%package -n python2-%{srcname}
Summary:        A Sphinx extension for changelog manipulation
Requires:       python2-sphinx < %{sphinx_cap}
Requires:       python2-semantic_version
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Releases is a Sphinx extension designed to help you keep a source control
friendly, merge friendly changelog file & turn it into useful, human readable
HTML output.

Specifically:

* The source format (kept in your Sphinx tree as changelog.rst) is a stream-like
timeline that plays well with source control & only requires one entry per
change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
command) is a traditional looking changelog page with a section for every
release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
releases, and bugs are only displayed under bugfix releases. This can be
overridden on a per-issue basis.


%package -n python3-%{srcname}
Summary:        A Sphinx extension for changelog manipulation
Requires:       python3-sphinx < %{sphinx_cap}
Requires:       python3-semantic_version
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Releases is a Sphinx extension designed to help you keep a source control
friendly, merge friendly changelog file & turn it into useful, human readable
HTML output.

Specifically:

* The source format (kept in your Sphinx tree as changelog.rst) is a stream-like
timeline that plays well with source control & only requires one entry per
change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
command) is a traditional looking changelog page with a section for every
release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
releases, and bugs are only displayed under bugfix releases. This can be
overridden on a per-issue basis.

This package contains the Python 3 version of this module.


%package -n python-%{srcname}-doc
Summary: Documentation for a Sphinx extension for changelog manipulation

%description -n python-%{srcname}-doc
Documentation package for the python-releases package.


%prep
%autosetup -n %{srcname}-%{version} -p1

rm -rf *.egg-info


%build
%py2_build
%py3_build

# Build the docs
sphinx-build -b html docs docs/_build/html
rm docs/_build/html/.buildinfo


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%files -n python-%{srcname}-doc
%license LICENSE
%doc README.rst docs/_build/html


%changelog
* Tue Jun 26 2018 Miro Hrončok <mhroncok@redhat.com> - 1.6.0-1
- Update to 1.6.0 (#1504445)
- Add patch for Sphinx 1.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 23 2017 Jeremy Cline <jeremy@jcline.org> - 1.3.1-1
- Update to latest upstream

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.2.0-2
- python-semantic_version is also a runtime requirement.

* Wed Jun 22 2016 Jeremy Cline <jeremy@jcline.org> - 1.2.0-1
- Update to latest upstream release
- Build from the Git repository rather than PyPi
- Build a docs sub-package

* Mon Mar 14 2016 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sat Aug  1 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.7.0-2
- Use %%py2_build, %%py3build, %%py2_install and %%py2_install
- Make a python2 subpackage
- Remove %%py3dir macro

* Sat May 23 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0
- Fixing Python 3 package name
- Adding license text

* Thu Aug 07 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.6.1-1
- Initial packaging
